/*
Theme Name: Niftos Child
Template: code4rest
Author: Code4rest
Description: Code4rest Theme is a lightweight yet full featured WordPress theme for creating beautiful fast loading and accessible websites, easier than ever. It features an easy to use drag and drop header and footer builder to build any type of header in minutes. It features a full library of gorgeous starter templates that are easy to modify with our intelligent global font and color controls. With extensive integration with the most popular 3rd party plugins, you can quickly build impressive ecommerce websites, course websites, business websites, and more.
Tags: translation-ready,two-columns,right-sidebar,left-sidebar,footer-widgets,blog,custom-logo,custom-background,custom-menu,rtl-language-support,editor-style,threaded-comments,custom-colors,featured-images,wide-blocks,full-width-template,theme-options,e-commerce
Version: 1.1.40.1694078127
Updated: 2023-09-07 09:15:27

*/

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Bakbak+One&display=swap');


/* Theme customization starts here -------------------------------------------------------------- */

/* ------------  --->  common <--- ------------ */
.single-content h1.elementor-heading-title,
.single-content h2.elementor-heading-title,
.single-content h3.elementor-heading-title,
.single-content h4.elementor-heading-title,
.single-content h5.elementor-heading-title,
.single-content h6.elementor-heading-title {
  margin: 0;
}

.single-content h1,
.single-content h2,
.single-content h3,
.single-content h4,
.single-content h5,
.single-content h6 {
  margin: 0;
}

.wp-block-search .wp-block-search__input,
.wp-block-search .wp-block-search__input:focus,
body .wp-block-search .wp-block-search__button,
.wp-block-search .wp-block-search__button:hover,
input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus {
  box-shadow: none;
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
  border: 0px solid var(--global-palette6);
}

.wp-block-search .wp-block-search__input,
body .wp-block-search .wp-block-search__button,
body .code4rest-header-cart.header-navigation ul a.button,
#search-drawer .drawer-inner input.search-field {
  border-radius: 15px;
}

/* footer */
.site-footer-section .widget-area ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

/* menu remove padding */
#primary-menu>li:first-child a {
  padding-inline-start: 0;
}

#primary-menu>li:last-child a {
  padding-inline-end: 0;
}

/* image carousal */
.elementor-widget-image-carousel .swiper .swiper-slide figure {
  display: inline-block;
  text-align: center;
}

/* blog grid, slider, list hover */
.elementor-widget-ucaddon_post_carousel .uc_image_carousel_placeholder:hover img,
.loop-entry .post-thumbnail-inner:hover img,
.uc_post_list_image img:hover {
  transform: scale(1.05);
}

.loop-entry .post-thumbnail-inner img,
.uc_post_list_image img {
  transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
}

.uc_post_list_image {
  overflow: hidden;
}

.blog .primary-sidebar input[type="search"]:focus {
  color: var(--global-palette6);
  border: 1px solid var(--global-palette6);
}

/* Hover zoom - singleblog*/
.hover-zoom .uc_post_list_image img:hover {
  transform: scale(1.05);
}

.hover-zoom .elementor-image-box-img {
  overflow: hidden;
}

.elementor-widget-image .elementor-widget-container {
  overflow: hidden;
}

/* archive page read more */
body .loop-entry .entry-content-wrap .entry-footer .more-link-wrap .code4rest-svg-iconset {
  display: none;
}

/* archive conetnt left sidebar */
body .wp-block-latest-posts__list li,
body.search-results.content-style-unboxed .site .post-thumbnail,
body.woocommerce div.product .woocommerce-tabs ul.tabs li:first-child,
.wp-block-latest-posts.wp-block-latest-posts__list {
  margin: 0;
}

.wp-block-latest-posts__post-author,
.wp-block-latest-posts__post-date {
  color: var(--global-palette1);
  font-size: 15px;
  font-weight: 400;
  font-family: 'Inter';
  text-transform: none;
}

#secondary .woocommerce.widget_product_categories>ul li,
.widget .tagcloud a,
.widget li,
#secondary .woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item,
.wp-block-tag-cloud .tag-cloud-link {
  padding-block: 6px;
}

.search-results.content-style-unboxed .entry-content-wrap {
  margin-block-start: 20px;
}

/*------------ end common css ------------*/

/* archive search left sidebar */
.wp-block-search .wp-block-search__input {
  padding: 0.6em 0.7em;
  border: 1px solid var(--global-palette9);
  color: var(--global-palette6);
  background-color: var(--global-palette9);
}

body .wp-block-search .wp-block-search__button {
  color: var(--global-palette9);
  background: var(--global-palette2);
}

/* archive page read more */
body .loop-entry .entry-content-wrap .entry-footer .more-link-wrap .post-more-link {
  font-size: 16px;
  text-transform: capitalize;
  font-weight: 600;
  color: var(--global-palette2);
  text-decoration: underline;
}

.loop-entry .entry-content-wrap .entry-footer .more-link-wrap .post-more-link:hover {
  color: var(--global-palette1);
}

/* input radius */
input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
  border-radius: 15px;
}

.entry-taxonomies a {
  font-weight: 400;
}

/* blog comment */
@media screen and (max-width: 766px) {

  form.comment-form .comment-input-wrap .comment-form-author,
  form.comment-form .comment-input-wrap .comment-form-email,
  form.comment-form p.comment-form-float-label {
    margin: 0px;
  }

  body .comment-form p {
    margin-bottom: 20px;
  }

}

/* ------------  --->  elementor design css <--- ------------ */


/* blog */
.uc_post_list_content::before {
  content: '';
  background-image: url(./assets/image/blog-bg.png);
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: auto;
  position: absolute;
  transform: translate(35%, 50%);
}

.uc_post_list_content div.ue-grid-item-meta-data:first-child {
  position: absolute;
  background-color: var(--global-palette9);
  top: 0;
  left: 0;
  padding: 10px 15px;
  margin-top: 40px;
  margin-left: 40px;
}

.elementor .uc_post_list .uc_post_list_box .uc_post_list_content div.ue-grid-item-meta-data:first-child {
  color: var(--global-palette3);
}

.uc_post_list_box .uc_post_list_content {
  position: relative;
}

.uc_post_list_content_inside .ue-grid-item-meta-data {
  position: absolute;
  bottom: 0;
  margin-bottom: 35px;
}

.uc_post_list_content_inside .ue-grid-item-meta-data:last-child {
  margin-left: 35px;
}

.uc_post_list.uc-items-wrapper .uc_post_list_image {
  margin: 0 auto;
}

@media screen and (max-width: 767px) {
  .uc_post_list_content::before {
    transform: translate(35%, 35%);
  }
}

/* box shadow */
.center-border .elementor-column.elementor-element:nth-child(1) {
  border-right: 1.5px solid var(--global-palette6);
}

.center-border .elementor-column.elementor-element:nth-child(2) {
  border-left: 1.5px solid var(--global-palette6);
}

.number-box .elementor-column.elementor-element:nth-child(1),
.number-box .elementor-column.elementor-element:nth-child(2) {
  border: none;
}

.box-1 .elementor-background-overlay::after,
.box-2 .elementor-background-overlay::after,
.box-3 .elementor-background-overlay::after,
.box-4 .elementor-background-overlay::after,
.box-5 .elementor-background-overlay::after,
.box-6 .elementor-background-overlay::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -66px;
  background: linear-gradient(135deg, #111212 35%, #13C5A5 115%);
  width: 65px;
  height: 6px;
}

.box-2 .elementor-background-overlay::after,
.box-4 .elementor-background-overlay::after,
.box-6 .elementor-background-overlay::after {
  left: -66px;
  right: auto;
  background: linear-gradient(135deg, #111212 35%, #D00EEF 115%);
}

.box-3 .elementor-background-overlay::after {
  background: linear-gradient(135deg, #111212 35%, #F39911 115%);
}

.box-4 .elementor-background-overlay::after {
  background: linear-gradient(135deg, #111212 35%, #13C5A5 115%);
}

.box-5 .elementor-background-overlay::after {
  background: linear-gradient(135deg, #111212 35%, #D00EEF 115%);
}

.box-6 .elementor-background-overlay::after {
  background: linear-gradient(135deg, #111212 35%, #f39911 115%);
}

@media screen and (max-width: 1024px) {

  .box-1 .elementor-background-overlay::after,
  .box-2 .elementor-background-overlay::after,
  .box-3 .elementor-background-overlay::after,
  .box-4 .elementor-background-overlay::after,
  .box-5 .elementor-background-overlay::after,
  .box-6 .elementor-background-overlay::after {
    content: "";
    position: none;
    top: 0;
    right: 0;
    background: none;
    width: 0;
    height: 0;
  }

  .center-border .elementor-column.elementor-element:nth-child(1) {
    border-right: none;
  }

  .center-border .elementor-column.elementor-element:nth-child(2) {
    border-left: none;
  }
}

/* newslatter form */
.mc4wp-form-fields {
  display: flex;
  justify-content: center;
  align-items: center;
}

.newslatter-form {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 725px;
  height: 55px;
}

.mc4wp-response {
  display: flex;
  justify-content: center;
}

.newslatter-form input[type="email"] {
  width: 100%;
  height: 100%;
  border-radius: 15px;
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  background-color: var(--global-palette9);
  border: 0;
  padding: 15px;
  color: var(--global-palette4);
}

.newslatter-form input[type="email"]:focus,
.newslatter-form input[type="email"]::placeholder {
  color: var(--global-palette4) !important;
}

.newslatter-form input[type="submit"] {
  height: 100%;
  border-radius: 0;
  border-bottom-right-radius: 15px;
  border-top-right-radius: 15px;
  padding: 10px 50px;
  background-color: var(--global-palette2) !important;
  color: var(--global-palette9);
}

.newslatter-form input[type="submit"]:hover {
  background-color: var(--global-palette2) !important;
  color: var(--global-palette9);
}

@media screen and (max-width: 764px) {
  .newslatter-form {
    display: block;
  }

  .newslatter-form input[type="email"] {
    border-radius: 50px;
  }

  .newslatter-form input[type="submit"] {
    width: 100%;
    margin-top: 20px;
    border-radius: 50px;
  }

  .mc4wp-response {
    margin-top: 100px;
    text-align: center;
  }
}

/* faq */
.elementor-widget-accordion .elementor-accordion .elementor-accordion-item {
  margin-bottom: 20px;
  border: 2px solid var(--global-palette6);
  border-radius: 15px;
}

.elementor-widget-accordion .elementor-accordion .elementor-accordion-item:last-child {
  margin-bottom: 0px;
}

.elementor-widget-accordion .elementor-accordion .elementor-accordion-item+.elementor-accordion-item,
.elementor-widget-accordion .elementor-accordion .elementor-tab-content {
  border-top: 2px solid var(--global-palette6);
}

/* search bar */
.header-search-bar .search-form input[type="search"].search-field {
  padding: 12px 60px 12px 20px;
}

@media screen and (max-width:1024px) {
  .site-footer-middle-section-3 .footer-widget-area .widget .wp-block-image img {
    margin: 0px;
  }
}

#search-drawer .drawer-inner .code4rest-search-icon-wrap {
  color: var(--global-palette9);
}

#search-drawer .drawer-inner input.search-field {

  border: 1px solid var(--global-palette9);
  border-radius: 50px;
  color: var(--global-palette9);
}

#search-drawer .drawer-inner .search-form input.search-field:focus {
  box-shadow: none;
  color: var(--global-palette9);
}

/* single blog comment */
input[type="text"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus {
  color: var(--global-palette9);
  border: 1px solid var(--global-palette9);
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
  border: 1px solid var(--global-palette9);
  background-color: transparent;
}

input[type="text"]::placeholder,
input[type="email"]::placeholder,
input[type="url"]::placeholder,
input[type="password"]::placeholder,
input[type="search"]::placeholder,
input[type="number"]::placeholder,
input[type="tel"]::placeholder,
input[type="range"]::placeholder,
input[type="date"]::placeholder,
input[type="month"]::placeholder,
input[type="week"]::placeholder,
input[type="time"]::placeholder,
input[type="datetime"]::placeholder,
input[type="datetime-local"]::placeholder,
input[type="color"]::placeholder,
textarea::placeholder {
  color: var(--global-palette4);
}

.comment-form p.comment-form-float-label label {
  color: var(--global-palette9) !important;
}

.form-submit .submit:hover {
  background-color: var(--global-palette1);
  color: var(--global-palette8);
}

.form-submit .submit {
  background-color: var(--global-palette2);
  color: var(--global-palette9);
}

.reply .comment-reply-link {
  color: var(--global-palette1);
  border: 1px solid var(--global-palette1);
}

.reply .comment-reply-link:hover {
  color: var(--global-palette2);
  border: 1px solid var(--global-palette2);
}

/* blog */

@media screen and (max-width: 767px) {
  #main .code4rest-thumbnail-position-behind {
    margin-bottom: -2.3em;
    height: 300px;
  }
}

.form-submit .submit,
.form-submit .submit:focus {
  border-radius: 0 25px 0 25px;
}